<!DOCTYPE html>
<html>

<head>
  <title> Task 13.1 Pizza 365 - Booststrap template</title>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

  <!-- Bootstrap -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body onload>

  <!-- Menu -->
  <div class="container-fluid bg-light">
    <div class="row">
      <div class="col-sm-12">
        <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav nav-fill w-100">
              <li class="nav-item active">
                <a class="nav-link" href="#">Home</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#plans">Plans</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#about">About</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#contact">Contact</a>
              </li>
            </ul>
          </div>
        </nav>
      </div>
    </div>
  </div>

  <!-- Content -->
  <div class="container" style="padding: 120px 0 50px 0;">
    <div class="row">
      <div class="col-sm-12">
        <div class="row">
          <!-- Title row home -->
          <div class="col-sm-12">
            <h1><b>Pizza 365</b></h1>
            <h1><b>New Pizza - New Way!</b></h1>
          </div>

          <!-- Slide row home -->
          <div class="col-sm-12">
            <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
              <ol class="carousel-indicators">
                <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="4"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="5"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="6"></li>
              </ol>
              <div class="carousel-inner">
                <div class="carousel-item active">
                  <img class="d-block w-100" src="images/anh_mon_1.jpg" alt="First slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_02.jpg" alt="Second slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_3.jpg" alt="Third slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_4.jpg" alt="Third slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_5.jpg" alt="Third slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_6.jpg" alt="Third slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_7.jpg" alt="Third slide">
                </div>
              </div>
              <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
              </a>
              <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
              </a>
            </div>
          </div>

          <!-- Title what we offer -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Tại sao lại Pizza 365</b></h2>
          </div>

          <!-- Content what we offer -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-3 p-4 bg-warning border">
                <h3 class="p-2">Không ngừng cải tiến</h3>
                <p class="p-2">Cải tiến sản phẩm, chất lượng và trải nghiệm khách hàng luôn là yếu tố tiên quyết trong
                  chiến lược kinh doanh của chúng tôi nhằm thúc đẩy tăng trưởng và trở thành thương hiệu pizza hàng đầu.
                </p>
              </div>
              <div class="col-sm-3 p-4 bg-danger border">
                <h3 class="p-2">Trải nghiệm dễ dàng</h3>
                <p class="p-2">Chúng tôi đơn giản hướng đến việc trở thành thương hiệu của mọi nhà, mọi lúc, mọi nơi.
                </p>
              </div>
              <div class="col-sm-3 p-4 bg-success text-white border">
                <h3 class="p-2">Hướng đến sự vượt trội</h3>
                <p class="p-2">Vượt trội" không chỉ là một khái niệm lớn. Thay vào đó, giá trị này là cốt lõi trong mỗi
                  con người của chúng tôi, trong mỗi công việc mà họ làm.</p>
              </div>
              <div class="col-sm-3 p-4 bg-primary text-white border">
                <h3 class="p-2">Thể hiện đam mê</h3>
                <p class="p-2">Chúng tôi sẵn lòng hỗ trợ vô điều kiện và linh động điều chỉnh tùy theo thử thách để tìm
                  ra giải pháp.</p>
              </div>
            </div>
          </div>
        </div>

        <div id="plans" class="row">
          <!-- Title what we offer -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-1 border-bottom">Menu Combo Pizza 365</b></h2>
            <p><span class="p-2">Hãy chọn cỡ pizza phù hợp với bạn!</span></p>
          </div>
          <!-- Content what we offer -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-dark text-white text-center">
                    <h3>Small</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item"><b>Đường kính:</b> 20cm </li>
                      <li class="list-group-item"><b>Sườn nướng:</b> 2</li>
                      <li class="list-group-item"><b>Salad:</b> 200g</li>
                      <li class="list-group-item"><b>Nước ngọt:</b> 2</li>
                      <li class="list-group-item">
                        <h1><b>VND:</b></h1>150.000
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button id="btn-plan-small" onclick="onBtnPlanSmall()" class="btn btn-success"
                      data-is-selected-menu="N">Chọn</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-secondary text-white text-center">
                    <h3>Medium</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item"><b>Đường kính</b> 25cm</li>
                      <li class="list-group-item"><b>Sườn nướng:</b> 4</li>
                      <li class="list-group-item"><b>Salad:</b> 300g</li>
                      <li class="list-group-item"><b>Nước ngọt:</b> 3</li>
                      <li class="list-group-item">
                        <h1><b>VND:</b></h1> 200.000
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button id="btn-plan-medium" onclick="onBtnPlanMedium()" class="btn btn-success"
                      data-is-selected-menu="N">Chọn</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-dark text-white text-center">
                    <h3>Large</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item"><b>Đường kính</b> 30cm</li>
                      <li class="list-group-item"><b>Sườn nướng</b> 8</li>
                      <li class="list-group-item"><b>Salad:</b> 500g</li>
                      <li class="list-group-item"><b>Nước ngọt:</b> 4</li>
                      <li class="list-group-item">
                        <h1><b>VND:</b></h1> 250.000
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button id="btn-plan-large" onclick="onBtnPlanMore()" class="btn btn-success"
                      data-is-selected-menu="N">Chọn</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div id="about" class="row">
          <!-- Title Who We Are -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Chọn loại Pizza</b></h2>
          </div>

          <!-- Content Who We Are -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_1.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>Pizza Hawai</h3>
                    <p>Món ăn thanh đạm</p>
                    <p>Hãy thưởng thức món ăn với phong cách Alo Ha đến từ Hawai</p>
                    <p><button id="btn-pizza-hawai" onclick="onBthPizza1()" class="btn btn-info w-100"
                        data-is-selected-pizza="N">Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_2.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>Pizza Hải Sản</h3>
                    <p>Món ăn đến từ biển</p>
                    <p>Bản đã thử pizza được chế biến từ nguyên liệu hải sản chưa ?</p>
                    <p><button id="btn-pizza-haisan" onclick="onBtnPizza2()" class="btn btn-info w-100"
                        data-is-selected-pizza="N">Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_3.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>Pizza Bacon</h3>
                    <p>Món ăn đặc biệt</p>
                    <p>Được chế biến từ thịt Bacon. Mang đến hượng vị mới lạ .</p>
                    <p><button id="btn-pizza-bacon" onclick="onBtnPizza3()" class="btn btn-info w-100"
                        data-is-selected-pizza="N">Chọn</button></p>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="col-sm-12 text-center p-4 mt-4">
          <h2>Đồ uống</h2>
        </div>
        <div class="col-sm-12">
          <select id="select-drinks" class="form-control">
            <option>Chọn đồ uống</option>
            <option value="drinks-tratac">Trà tắc</option>
            <option value="drinks-coca">Cocacola</option>
            <option value="drinks-pepsi">Pepsi</option>
            <option value="drinks-lavie">Lavie</option>
            <option value="drinks-trasua">Trà sữa trân châu</option>
            <option value="drinks-fanta">Fanta</option>
          </select>
        </div>
        <div id="contact" class="row">
          <!-- Title Contact Us -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Thông Tin Đơn Hàng</b></h2>
          </div>

          <!-- Content Contact Us -->
          <div class="col-sm-12 p-2 jumbotron">
            <div class="row">
              <div class="col-sm-12">
                <div class="form-group">
                  <label for="fullname">Họ và tên</label>
                  <input type="text" class="form-control" id="inp-fullname" placeholder="Họ và tên">
                </div>
                <div class="form-group">
                  <label for="email">Email</label>
                  <input type="text" class="form-control" id="inp-email" placeholder="Email">
                </div>
                <div class="form-group">
                  <label for="dien-thoai">Điện thoại</label>
                  <input type="text" class="form-control" id="inp-dien-thoai" placeholder="Điện thoại">
                </div>
                <div class="form-group">
                  <label for="dia-chi">Địa chỉ</label>
                  <input type="text" class="form-control" id="inp-dia-chi" placeholder="Địa chỉ">
                </div>
                <div class="form-group">
                  <label for="message">Lời nhắn</label>
                  <input type="text" class="form-control" id="inp-message" placeholder="Lời nhắn">
                </div>
                <div class="form-group">
                  <label for="message">Mã Giảm Giá (voucherID)</label>
                  <input type="text" class="form-control" id="inp-voucher" placeholder="voucherID">
                </div>
                <button type="button" onclick="onKiemTraDonHang()" class="btn btn-info w-100">Kiểm Tra Đơn</button>
              </div>
            </div>
          </div>
          <!-- vùng hiển thị thông tin đơn hàng(order) -->
          <div id="div-container-order" class="container bg-warning p-2 jumbotron" style="display: none;">
            <div id="div-order-infor" class="text-white p-3">...</div>
            <div class="p-2">
              <button type="button" class="btn btn-info w-100">Confirm</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Footer -->
  <div id="div-container-subject" class="container bg-info" style="display: none;">
    <div id="div-subject-infor" class="text-white p-3">...</div>
    <button type="button" onclick="onBtnGuiDon()" class="btn btn-success w-100">Gửi đơn</button>
  </div>
  <!---->
  <div class="container-fluid bg-light p-5">
    <div class="row text-center">
      <div class="col-sm-12">
        <h4 class="m-2">Footer</h4>
        <a href="#" class="btn btn-dark m-3"><i class="fa fa-arrow-up"></i>To the top</a>
        <div class="m-2">
          <i class="fa fa-facebook-official w3-hover-opacity"></i>
          <i class="fa fa-instagram w3-hover-opacity"></i>
          <i class="fa fa-snapchat w3-hover-opacity"></i>
          <i class="fa fa-pinterest-p w3-hover-opacity"></i>
          <i class="fa fa-twitter w3-hover-opacity"></i>
          <i class="fa fa-linkedin w3-hover-opacity"></i>
        </div>
      </div>
    </div>
  </div>
  <!-- kết thúc khu vực kiểm tra đơn hàng-->

</body>
<script>
  "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

  // danh sách các mã giảm giá
  /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
  const gCOMBO_SMALL = "Small";
  const gCOMBO_MEDIUM = "Medium";
  const gCOMBO_LARGE = "Large";
  //
  const gPizza_Hawai = "hawai";
  const gPizza_Haisan = "haisan";
  const gPizza_Bacon = "bacon";
  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
  function onBtnPlanSmall() {
    changeColorButtonMenu(gCOMBO_SMALL);
    var vGetObj = oBjPlanMenu(gCOMBO_SMALL, 20, 2, 200, 2, 150000);
    vGetObj.displayInConsole();
  }
  // 
  function onBtnPlanMedium() {
    changeColorButtonMenu(gCOMBO_MEDIUM);
    var vGetObj = oBjPlanMenu(gCOMBO_MEDIUM, 25, 4, 300, 3, 200000);
    vGetObj.displayInConsole();
  }
  //
  function onBtnPlanMore() {
    changeColorButtonMenu(gCOMBO_LARGE);
    var vGetObj = oBjPlanMenu(gCOMBO_LARGE, 30, 8, 500, 4, 250000);
    vGetObj.displayInConsole();
  }

  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
  function changeColorButtonMenu(paramPlan) {
    var vBtnSamll = document.getElementById("btn-plan-small");
    var vBtnMedium = document.getElementById("btn-plan-medium");
    var vBtnMore = document.getElementById("btn-plan-large");
    // điều kiện nút CHỌN đổi màu
    if (paramPlan === gCOMBO_SMALL) {
      vBtnSamll.className = "btn btn-warning";
      vBtnSamll.setAttribute("data-is-selected-menu", "Y");

      vBtnMedium.className = "btn btn-success";
      vBtnMedium.setAttribute("data-is-selected-menu", "N");

      vBtnMore.className = "btn btn-success";
      vBtnMore.setAttribute("data-is-selected-menu", "N");

    }
    else if (paramPlan === gCOMBO_MEDIUM) {
      vBtnSamll.className = "btn btn-success";
      vBtnSamll.setAttribute("data-is-selected-menu", "N");

      vBtnMedium.className = "btn btn-warning";
      vBtnMedium.setAttribute("data-is-selected-menu", "Y");

      vBtnMore.className = "btn btn-success";
      vBtnMore.setAttribute("data-is-selected-menu", "N");
    }
    else if (paramPlan === gCOMBO_LARGE) {
      vBtnSamll.className = "btn btn-success";
      vBtnSamll.setAttribute("data-is-selected-menu", "N");

      vBtnMedium.className = "btn btn-success";
      vBtnMedium.setAttribute("data-is-selected-menu", "N");

      vBtnMore.className = "btn btn-warning";
      vBtnMore.setAttribute("data-is-selected-menu", "Y");
    }
    // đặt màu cho nút được click ở phần chọn pizza
  }
  function changeColorButtonPizza(paramPlan) {
    var vBtnPizza1 = document.getElementById("btn-pizza-hawai");
    var vBtnPizza2 = document.getElementById("btn-pizza-haisan");
    var vBtnPizza3 = document.getElementById("btn-pizza-bacon");
    // đổi màu nút CHỌN
    if (paramPlan === gPizza_Hawai) {
      vBtnPizza1.className = "btn btn-warning w-100";
      vBtnPizza1.setAttribute("data-is-selected-pizza", "Y");
      //
      vBtnPizza2.className = "btn btn-info w-100";
      vBtnPizza2.setAttribute("data-is-selected-pizza", "N");
      //
      vBtnPizza3.className = "btn btn-info w-100";
      vBtnPizza3.setAttribute("data-is-selected-pizza", "N");
    }
    else if (paramPlan === gPizza_Haisan) {
      vBtnPizza1.className = "btn btn-info w-100";
      vBtnPizza1.setAttribute("data-is-selected-pizza", "N");
      //
      vBtnPizza2.className = "btn btn-warning w-100";
      vBtnPizza2.setAttribute("data-is-selected-pizza", "Y");
      //
      vBtnPizza3.className = "btn btn-info w-100";
      vBtnPizza3.setAttribute("data-is-selected-pizza", "N");

    }
    else if (paramPlan === gPizza_Bacon) {
      vBtnPizza1.className = "btn btn-info w-100";
      vBtnPizza1.setAttribute("data-is-selected-pizza", "N");
      //
      vBtnPizza2.className = "btn btn-info w-100";
      vBtnPizza2.setAttribute("data-is-selected-pizza", "N");
      //
      vBtnPizza3.className = "btn btn-warning w-100";
      vBtnPizza3.setAttribute("data-is-selected-pizza", "Y");
    }
  }
  // gán màu cho nút chọn pizza
  function onBthPizza1() {
    changeColorButtonPizza(gPizza_Hawai);
    var vGetObj = oBjPizza(gPizza_Hawai);
    vGetObj.displayInConsolePizza();
  }
  //
  function onBtnPizza2() {
    changeColorButtonPizza(gPizza_Haisan);
    var vGetObj = oBjPizza(gPizza_Haisan);
    vGetObj.displayInConsolePizza();
  }
  // 
  function onBtnPizza3() {
    changeColorButtonPizza(gPizza_Bacon);
    var vGetObj = oBjPizza(gPizza_Bacon);
    vGetObj.displayInConsolePizza();
  }
  // xử lý đối tượng Menu 
  function oBjPlanMenu(paramKichCo, paramDuongKinh, paramSuonNuong, paramSalad, paramDrink, paramPriceVnd) {
    var vObjMenu =
    {
      kichCo: paramKichCo,
      duongKinhCM: paramDuongKinh,
      suonNuong: paramSuonNuong,
      saladGr: paramSalad,
      drink: paramDrink,
      priceVND: paramPriceVnd,
      // ghi vObjMenu ra console log
      displayInConsole: function () {
        console.log("%c ComBo of Menu :", " color :blues ");
        console.log("Menu : " + this.kichCo);
        console.log("Đường Kính : " + this.duongKinhCM + "cm");
        console.log("Sườn Nướng : " + this.suonNuong);
        console.log("Salad : " + this.saladGr + "gam");
        console.log("Nước ngọt : " + this.drink);
        console.log("Hoá đơn phải trả : " + this.priceVND + "VND");
      }
    }
    return vObjMenu; //trả lại đối tượng, có đủ dữ liệu (attribute) và các methods (phương thức)
  }
  // xử lý pizza được chọn
  function oBjPizza(paramPizza) {
    var vObjPizza =
    {
      loaiPizza: paramPizza,
      //
      displayInConsolePizza() {

        console.log("%c Loại Pizza được chọn :", " color :purple ;", this.loaiPizza);
      }
    }
    return vObjPizza;
  }
  //
  function getPizza(paramDonHang) {
    var vBtnPizza1 = document.getElementById("btn-pizza-hawai");
    var vBtnPizza2 = document.getElementById("btn-pizza-haisan");
    var vBtnPizza3 = document.getElementById("btn-pizza-bacon");
    var vBtnPizzaSelect = null;
    //
    var vChonLoaiPizza1 = vBtnPizza1.getAttribute("data-is-selected-pizza");
    var vChonLoaiPizza2 = vBtnPizza2.getAttribute("data-is-selected-pizza");
    var vChonLoaiPizza3 = vBtnPizza3.getAttribute("data-is-selected-pizza");
    if (vChonLoaiPizza1 === "Y") {
      vBtnPizzaSelect = oBjPizza(gPizza_Hawai);
      paramDonHang.pizzaDuocChon = vBtnPizzaSelect;
    }
    else if (vChonLoaiPizza2 === "Y") {
      vBtnPizzaSelect = oBjPizza(gPizza_Haisan);
      paramDonHang.pizzaDuocChon = vBtnPizzaSelect;
    }
    else if (vChonLoaiPizza3 === "Y") {
      vBtnPizzaSelect = oBjPizza(gPizza_Bacon);
      paramDonHang.pizzaDuocChon = vBtnPizzaSelect;
    }
  }
  // kiểm tra và xử lý đơn hàng
  function onKiemTraDonHang() {
    var vCheckDonHang =
    {
      menuDuocChon: null,
      
      fullname: "",
      email: "",
      dienthoai: "",
      diachi: "",
      loinhan: "",
      pizzaDuocChon: null,
      phanTramGiamGia: null,
      id: 0,
      donGia: 0,
      tenNuocUong: null,
      //
      priceAnnualVND() {
        var vDiscount = ((this.menuDuocChon.priceVND + this.donGia ) * this.phanTramGiamGia) / 100;
        return (this.menuDuocChon.priceVND + this.donGia) - vDiscount;
      }
    }
    //
    var vXmlHttp = new XMLHttpRequest();
    var vXhttp = new XMLHttpRequest();

    checkDuLieuDonHang(vCheckDonHang);
    getPizza(vCheckDonHang);
    var vCheck = kiemTraThongTinDonHang(vCheckDonHang);
    if (vCheck) {
      onBtnCheckVoucherClick(vXmlHttp, vCheckDonHang);
      onBtnGetDrinkListClick(vXhttp, vCheckDonHang);
      hienThiDonHang(vCheckDonHang);

    }
  }
  function checkDuLieuDonHang(paramDonHang) {
    var vFullName = document.getElementById("inp-fullname");
    paramDonHang.fullname = vFullName.value
    //
    var vEmail = document.getElementById("inp-email");
    paramDonHang.email = vEmail.value;
    // 
    var vPhone = document.getElementById("inp-dien-thoai");
    paramDonHang.dienthoai = vPhone.value;
    // 
    var vAddress = document.getElementById("inp-dia-chi");
    paramDonHang.diachi = vAddress.value;
    //
    var vLoiNhan = document.getElementById("inp-message");
    paramDonHang.loinhan = vLoiNhan.value;
    //
    var vMaGiamGia = document.getElementById("inp-voucher");
    paramDonHang.id = vMaGiamGia.value;
    //
    var vTagSelect = document.getElementById("select-drinks");
    paramDonHang.tenNuocUong = vTagSelect.options[vTagSelect.selectedIndex].value;
    paramDonHang.tenNuocUong = vTagSelect.options[vTagSelect.selectedIndex].text;
    //

    var vBtnSmall = document.getElementById("btn-plan-small");
    var vBtnMedium = document.getElementById("btn-plan-medium");
    var vBtnLarge = document.getElementById("btn-plan-large");
    var vSelectBtn = null;
    //
    var vMenuSmall = vBtnSmall.getAttribute("data-is-selected-menu");
    var vMenuMedium = vBtnMedium.getAttribute("data-is-selected-menu");
    var vMenuLarge = vBtnLarge.getAttribute("data-is-selected-menu");
    if (vMenuSmall === "Y") {
      vSelectBtn = oBjPlanMenu(gCOMBO_SMALL, 20, 2, 200, 2, 150000);
      paramDonHang.menuDuocChon = vSelectBtn;
    }
    else if (vMenuMedium === "Y") {
      vSelectBtn = oBjPlanMenu(gCOMBO_MEDIUM, 25, 4, 300, 3, 200000);
      paramDonHang.menuDuocChon = vSelectBtn;
    }
    else if (vMenuLarge === "Y") {
      vSelectBtn = oBjPlanMenu(gCOMBO_LARGE, 30, 8, 500, 4, 250000);
      paramDonHang.menuDuocChon = vSelectBtn;
    }
  }
  // kiểm tra dữ liêu đơn hàng
  function kiemTraThongTinDonHang(paramThongTinDangKyObj) {
    if (paramThongTinDangKyObj.menuDuocChon == null) {
      alert("Chưa chọn món (Pizza)");
      return false;
    }
    if (paramThongTinDangKyObj.pizzaDuocChon == null) {
      alert("Chưa chọn loại Pizza");
      return false;
    }
    if (checkSoDienThoai(paramThongTinDangKyObj.dienthoai) == "") {
      alert("Chưa nhập đúng số điện thoại");
      return false;
    }
    if (checkEmail(paramThongTinDangKyObj.email) == false) {
      alert("Chưa nhập đúng Email");
      return false
    }


    return true;
  }
  // kiểm tra Email
  function checkEmail(paramEmail) {

    var filter = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
    if (!filter.test(paramEmail)) {
      alert('Hay nhap dia chi email hop le.\nExample@gmail.com');
      email.focus;
      return false;
    }
    else {
      alert('OK roi day, Email nay hop le.');
      return true;
    }
  }
  // kiểm tra số điện thoại 
  function checkSoDienThoai() {
    $(document).ready(function () {
      $('body').on('click', '.checkmobile', function () {
        var vnf_regex = /((09|03|07|08|05)+([0-9]{8})\b)/g;
        var mobile = $('#mobile').val();
        if (mobile !== '') {
          if (vnf_regex.test(mobile) == false) {
            alert('Số điện thoại của bạn không đúng định dạng!');
          } else {
            alert('Số điện thoại của bạn hợp lệ!');
          }
        } else {
          alert('Bạn chưa điền số điện thoại!');
        }
      });
    });
  }
  // phần thông tin được ẩn trước khi kiểm tra đơn hàng
  function hienThiDonHang(paramDonHang) {
    console.log("%c Thông tin đơn hàng", "color:red");
    console.log(paramDonHang);
    var vDivCoinTer = document.getElementById("div-container-subject");
    var vDivSub = document.getElementById("div-subject-infor");
    paramDonHang.menuDuocChon.displayInConsole();
    paramDonHang.pizzaDuocChon.displayInConsolePizza();
    vDivCoinTer.style.display = "block";
    vDivSub.innerHTML =
      "Họ và tên : " + paramDonHang.fullname + "<br>" +
      "Email : " + paramDonHang.email + "<br>" +
      "Điện thoại : " + paramDonHang.dienthoai + "<br>" +
      "Địa chỉ : " + paramDonHang.diachi + "<br>" +
      "Lời nhắn : " + paramDonHang.loinhan + "<br>" +
      "Mã giảm giá : " + paramDonHang.id + "<br>" +
      "<hr>" +
      "Kích cỡ : " + paramDonHang.menuDuocChon.kichCo + "<br>" +
      "Đường kính : " + paramDonHang.menuDuocChon.duongKinhCM + "<br>" +
      "Sườn nướng : " + paramDonHang.menuDuocChon.suonNuong + "<br>" +
      "Salad : " + paramDonHang.menuDuocChon.saladGr + "<br>" +
      "Nước ngọt : " + paramDonHang.menuDuocChon.drink + "<br>" +
      "Loại nước uống : " + paramDonHang.tenNuocUong + "<br>" +
      "Giá nước uống : " + paramDonHang.donGia + "<br>" +
      "Giá Menu VND  : " + paramDonHang.menuDuocChon.priceVND +
      "<hr>" +
      "Loại : " + paramDonHang.pizzaDuocChon.loaiPizza + "<br>" +
      "Discount : " + paramDonHang.phanTramGiamGia + "<br>" +
      "Tổng tiền thanh toán : " + paramDonHang.priceAnnualVND();
  }
  // ghi thông tin nút gửi đơn ra console 
  function onBtnGuiDon() {
    var vCheckDonHang =
    {
      menuDuocChon: null,
     
      fullname: "",
      email: "",
      dienthoai: "",
      diachi: "",
      loinhan: "",
      pizzaDuocChon: null,
      phanTramGiamGia: null,
      id: 0,
      donGia: 0,
      tenNuocUong:"",
      //
      priceAnnualVND() {
        var vDiscount = ((this.menuDuocChon.priceVND + this.donGia ) * this.phanTramGiamGia) / 100;
        return (this.menuDuocChon.priceVND + this.donGia) - vDiscount;
      }
    }
    //
    var vXmlHttp = new XMLHttpRequest();
    var vXhttp = new XMLHttpRequest();
    getPizza(vCheckDonHang);
    checkDuLieuDonHang(vCheckDonHang);
    var vDuLieuHopLe = kiemTraThongTinDonHang(vCheckDonHang);
    if (vDuLieuHopLe) {
      onBtnCheckVoucherClick(vXmlHttp, vCheckDonHang);
      onBtnGetDrinkListClick(vXhttp, vCheckDonHang);
      console.log("%c Thông tin đơn hàng", "color:red");
      console.log("Họ tên : " + vCheckDonHang.fullname);
      console.log("Email : " + vCheckDonHang.email);
      console.log("Điện thoại : " + vCheckDonHang.dienthoai);
      console.log("Địa chỉ : " + vCheckDonHang.diachi);
      console.log("Kích cỡ : " + vCheckDonHang.menuDuocChon.kichCo);
      console.log("Đường kính : " + vCheckDonHang.menuDuocChon.duongKinhCM);
      console.log("Sườn nướng : " + vCheckDonHang.menuDuocChon.suonNuong);
      console.log("Salad : " + vCheckDonHang.menuDuocChon.saladGr);
      console.log("Nước ngọt : " + vCheckDonHang.menuDuocChon.drink);
      console.log("Loại nước uống : " + vCheckDonHang.tenNuocUong);
      console.log("Giá nước uống : " + vCheckDonHang.donGia);
      console.log("Giá Menu VND : " + vCheckDonHang.menuDuocChon.priceVND);
      console.log("Loại : " + vCheckDonHang.pizzaDuocChon.loaiPizza);
      console.log("Mã giảm giá : " + vCheckDonHang.id);
      console.log("Discount : " + vCheckDonHang.phanTramGiamGia);
      console.log("Tổng tiền thanh toán : " + vCheckDonHang.priceAnnualVND());

    }
  }
  // Chọn đồ uống
  const gREQUEST_STATUS_OK = 200; // GET & PUT success
  const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
  //
  const gBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/voucher_detail/";
  const gBASE_URL_Drinks = "http://203.171.20.210:8080/devcamp-pizza365/";
  //
  const gUTF8_TEXT_APPLICATON_HEADER = "application/json;charset=UTF-8";
  //

  function onBtnGetDrinkListClick(paramJONData, paramDonHang) {
    "use strict";
    var vAPI_URL = gBASE_URL_Drinks + "/drinks/";
    paramJONData.open("GET", vAPI_URL, false);
    paramJONData.send();
    if (paramJONData.status == gREQUEST_STATUS_OK) {
      var vPersonJON = JSON.parse(paramJONData.responseText);
      for (var i = 0; i < vPersonJON.length; i++) {
        if (paramDonHang.tenNuocUong == vPersonJON[i].tenNuocUong) {
          paramDonHang.donGia = vPersonJON[i].donGia;
          console.log(vPersonJON);
        }
      }
    }
  }
  //
  function onBtnCheckVoucherClick(paramJONData, paramDonHang) {
    "use strict";

    //một số mã đúng để test: 95531, 81432,...lưu ý test cả mã sai
    // nếu mã giảm giấ đã nhập, tạo vXmlHttp request và gửi về server

    paramJONData.open("GET", gBASE_URL + paramDonHang.id, false);
    paramJONData.send();

    if (paramJONData.status == gREQUEST_STATUS_OK) { // restFullAPI successful
      // nhận lại response dạng JSON ở vXmlHttp.responseText và chuyển thành object
      var vObjDataVoucher = JSON.parse(paramJONData.responseText);
      paramDonHang.phanTramGiamGia = vObjDataVoucher.phanTramGiamGia;
      console.log(vObjDataVoucher);

    }
    else {
      // không nhận lại được data do vấn đề gì đó: khả năng mã voucher ko dúng
      console.log("Không tìm thấy voucher " + paramJONData.responseText);
    }
  }
</script>

</html>